Create a workflow
curl --request POST \
--url https://api.impellabs.tech/api/v1/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Welcome a new lead",
"graph": {
"nodes": [
{
"id": "start",
"type": "trigger",
"data": {
"on": "signal",
"signal": "lead.submitted"
}
},
{
"id": "finish",
"type": "end",
"data": {
"resolution": "welcomed"
}
}
],
"edges": [
{
"source": "start",
"target": "finish"
}
]
}
}
'import requests
url = "https://api.impellabs.tech/api/v1/workflows"
payload = {
"name": "Welcome a new lead",
"graph": {
"nodes": [
{
"id": "start",
"type": "trigger",
"data": {
"on": "signal",
"signal": "lead.submitted"
}
},
{
"id": "finish",
"type": "end",
"data": { "resolution": "welcomed" }
}
],
"edges": [
{
"source": "start",
"target": "finish"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Welcome a new lead',
graph: {
nodes: [
{id: 'start', type: 'trigger', data: {on: 'signal', signal: 'lead.submitted'}},
{id: 'finish', type: 'end', data: {resolution: 'welcomed'}}
],
edges: [{source: 'start', target: 'finish'}]
}
})
};
fetch('https://api.impellabs.tech/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Welcome a new lead',
'graph' => [
'nodes' => [
[
'id' => 'start',
'type' => 'trigger',
'data' => [
'on' => 'signal',
'signal' => 'lead.submitted'
]
],
[
'id' => 'finish',
'type' => 'end',
'data' => [
'resolution' => 'welcomed'
]
]
],
'edges' => [
[
'source' => 'start',
'target' => 'finish'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/workflows"
payload := strings.NewReader("{\n \"name\": \"Welcome a new lead\",\n \"graph\": {\n \"nodes\": [\n {\n \"id\": \"start\",\n \"type\": \"trigger\",\n \"data\": {\n \"on\": \"signal\",\n \"signal\": \"lead.submitted\"\n }\n },\n {\n \"id\": \"finish\",\n \"type\": \"end\",\n \"data\": {\n \"resolution\": \"welcomed\"\n }\n }\n ],\n \"edges\": [\n {\n \"source\": \"start\",\n \"target\": \"finish\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/workflows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Welcome a new lead\",\n \"graph\": {\n \"nodes\": [\n {\n \"id\": \"start\",\n \"type\": \"trigger\",\n \"data\": {\n \"on\": \"signal\",\n \"signal\": \"lead.submitted\"\n }\n },\n {\n \"id\": \"finish\",\n \"type\": \"end\",\n \"data\": {\n \"resolution\": \"welcomed\"\n }\n }\n ],\n \"edges\": [\n {\n \"source\": \"start\",\n \"target\": \"finish\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Welcome a new lead\",\n \"graph\": {\n \"nodes\": [\n {\n \"id\": \"start\",\n \"type\": \"trigger\",\n \"data\": {\n \"on\": \"signal\",\n \"signal\": \"lead.submitted\"\n }\n },\n {\n \"id\": \"finish\",\n \"type\": \"end\",\n \"data\": {\n \"resolution\": \"welcomed\"\n }\n }\n ],\n \"edges\": [\n {\n \"source\": \"start\",\n \"target\": \"finish\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_bodyWorkflows
Create a workflow
Makes a workflow. It is off until you switch it on. A workflow with problems cannot be switched on.
POST
/
api
/
v1
/
workflows
Create a workflow
curl --request POST \
--url https://api.impellabs.tech/api/v1/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Welcome a new lead",
"graph": {
"nodes": [
{
"id": "start",
"type": "trigger",
"data": {
"on": "signal",
"signal": "lead.submitted"
}
},
{
"id": "finish",
"type": "end",
"data": {
"resolution": "welcomed"
}
}
],
"edges": [
{
"source": "start",
"target": "finish"
}
]
}
}
'import requests
url = "https://api.impellabs.tech/api/v1/workflows"
payload = {
"name": "Welcome a new lead",
"graph": {
"nodes": [
{
"id": "start",
"type": "trigger",
"data": {
"on": "signal",
"signal": "lead.submitted"
}
},
{
"id": "finish",
"type": "end",
"data": { "resolution": "welcomed" }
}
],
"edges": [
{
"source": "start",
"target": "finish"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Welcome a new lead',
graph: {
nodes: [
{id: 'start', type: 'trigger', data: {on: 'signal', signal: 'lead.submitted'}},
{id: 'finish', type: 'end', data: {resolution: 'welcomed'}}
],
edges: [{source: 'start', target: 'finish'}]
}
})
};
fetch('https://api.impellabs.tech/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Welcome a new lead',
'graph' => [
'nodes' => [
[
'id' => 'start',
'type' => 'trigger',
'data' => [
'on' => 'signal',
'signal' => 'lead.submitted'
]
],
[
'id' => 'finish',
'type' => 'end',
'data' => [
'resolution' => 'welcomed'
]
]
],
'edges' => [
[
'source' => 'start',
'target' => 'finish'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/workflows"
payload := strings.NewReader("{\n \"name\": \"Welcome a new lead\",\n \"graph\": {\n \"nodes\": [\n {\n \"id\": \"start\",\n \"type\": \"trigger\",\n \"data\": {\n \"on\": \"signal\",\n \"signal\": \"lead.submitted\"\n }\n },\n {\n \"id\": \"finish\",\n \"type\": \"end\",\n \"data\": {\n \"resolution\": \"welcomed\"\n }\n }\n ],\n \"edges\": [\n {\n \"source\": \"start\",\n \"target\": \"finish\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/workflows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Welcome a new lead\",\n \"graph\": {\n \"nodes\": [\n {\n \"id\": \"start\",\n \"type\": \"trigger\",\n \"data\": {\n \"on\": \"signal\",\n \"signal\": \"lead.submitted\"\n }\n },\n {\n \"id\": \"finish\",\n \"type\": \"end\",\n \"data\": {\n \"resolution\": \"welcomed\"\n }\n }\n ],\n \"edges\": [\n {\n \"source\": \"start\",\n \"target\": \"finish\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Welcome a new lead\",\n \"graph\": {\n \"nodes\": [\n {\n \"id\": \"start\",\n \"type\": \"trigger\",\n \"data\": {\n \"on\": \"signal\",\n \"signal\": \"lead.submitted\"\n }\n },\n {\n \"id\": \"finish\",\n \"type\": \"end\",\n \"data\": {\n \"resolution\": \"welcomed\"\n }\n }\n ],\n \"edges\": [\n {\n \"source\": \"start\",\n \"target\": \"finish\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
The workflow, with its problems.